Topic: Apache updaté vers 2.2.26

Bonsoir à toutes et à tous,

Je viens de finir la mise à jour d'Apache (de la version 2.2.23 vers la 2.2.26) et j'ai aussi fini d'écrire quelques patchs très interessants:

- désormais vous allez être capable de voir les erreurs suExec de vos scripts / cgis, tels que les suivants:
http://cgi.toad.lescigales.org/error500/info.php55 (répertoire en chmod 777)
et des erreurs que vous ne verrez probablement jamais smile telles que:
http://cgi.toad.lescigales.org/mismatch/info.php5
http://cgi.toad.lescigales.org/error500.bin

- un patch qui permet de choisir quelle version de PHP / Python utiliseront vos scripts (Ruby et Perl n'ont pas encore plusieurs versions d'installées).

Tous les sites existants avant l'upgrade ont été forcés à tourner sur la version 5.2 de PHP, tous les nouveaux sites tournent automatiquement sous PHP 5.5:

mysql> update vhosts set mimetypes = 'php:application/x-httpd-php5-2-fastcgi';
Query OK, 10614 rows affected (0.03 sec)
Rows matched: 10665  Changed: 10614  Warnings: 0

Vous pouvez retrouver les différents phpinfo() et versions des interpréteurs installés, ainsi que leurs extensions par défaut - si vous voulez jouer avec wink - à l'adresse suivante:

http://cgi.toad.lescigales.org/

Voilà, c'est tout pour ce soir, je finis de travailler sur une modification du control panel qui va vous permettre de changer la version de PHP faisant tourner votre site (pratique pour tester une mise à jour de vos sites).

lesCigales.ORG sysadm1n
L'hébergeur qui sent bon la lavande - Un control panel qu'il est chouette - Viendez nous parler!
"All that is necessary for evil to triumph is for good men to do nothing."